/* $Id: DefaultFactory.java 1072 2016-02-27 04:27:27Z shayashi $ */
package reasoning_web.logical;

import reasoning_web.logical.inter_face.RWElement;
import smart_gs.logical.GSResource;
import smart_gs.logical.URICreator;
import smart_gs.reasoning_web.logical.GSConnection;
import smart_gs.reasoning_web.logical.GSResourcePointer;

public class DefaultFactory {
	
	DefaultFactory(){
		
	}
	public ExplanatoryNote createExplanatoryNote(String source, 
			String uri, String originalURI, String version) {
		return new ExplanatoryNote(source,uri,originalURI,version);
	}

	public GSConnection createConnection(GSResourcePointer source,
			GSResourcePointer target, ExplanatoryNote note, int dependency,
			String uri, String originalURI, String version) {
		GSConnection connection =  new GSConnection(source,target,note,
				uri,originalURI,version);
		return connection;
	}

	public GSConnection createConnection(GSResourcePointer source,
			GSResourcePointer target, ExplanatoryNote note) {
		GSConnection connection =  new GSConnection(source,target,note);
		return connection;
		
	}

	public ResourcePointer createResourcePointer(GSResource element) {
		return new ResourcePointer(element);
	}
}
